diff --git a/modules/topos/tps_storage.c b/modules/topos/tps_storage.c
index 8951ee10ee..9d59e5adcf 100644
--- a/modules/topos/tps_storage.c
+++ b/modules/topos/tps_storage.c
@@ -298,7 +298,8 @@ int tps_storage_link_msg(sip_msg_t *msg, tps_data_t *td, int dir)
 
 	/* extract the contact address */
 	if(parse_headers(msg, HDR_CONTACT_F, 0)<0 || msg->contact==NULL) {
-		if(td->s_method_id == METHOD_MESSAGE) {
+		if(td->s_method_id == METHOD_MESSAGE
+				|| td->s_method_id == METHOD_OPTIONS) {
 			/* no contact required for MESSAGE - done */
 			return 0;
 		}
